Debian Bug report logs - #419081
www.debian.org: Terminology issue: GNU/NetBSD

Package: www.debian.org; Maintainer for www.debian.org is Debian WWW Team <debian-www@lists.debian.org>;

Reported by: Yavor Doganov <yavor@gnu.org>

Date: Fri, 13 Apr 2007 15:45:54 UTC

Severity: wishlist

Done: Yavor Doganov <yavor@gnu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Yavor Doganov <yavor@gnu.org>, Karl Berry <karl@gnu.org>, debian-bsd@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#419081; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Yavor Doganov <yavor@gnu.org>:
New Bug report received and forwarded. Copy sent to Yavor Doganov <yavor@gnu.org>, Karl Berry <karl@gnu.org>, debian-bsd@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yavor Doganov <yavor@gnu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: www.debian.org: Terminology issue: GNU/NetBSD
Date: Fri, 13 Apr 2007 18:42:45 +0300
[Message part 1 (text/plain, inline)]
Package: www.debian.org
Severity: important
Tags: patch

[(X-Debbugs-)CCing the porters' list]

The Debian GNU/kNetBSD port is referred incorrectly as "GNU/NetBSD".
I assume this mistake was not intentional and the pages just haven't
been updated for a while.  By contrast, this is not the case with
kfreebsd-gnu -- the GNU/kFreeBSD folks have been referring to the
system with its proper name (also on wiki.d.o).  We (the GNU
Webmasters) would be grateful if this issue is fixed, so that we can
amend the last paragraph of [1] in a similar fashion like [2].

Please consider applying the attached patch.

The old kfreebsd port page [3] is deprecated, but it is included in
the diff since it is still online.  I didn't touch anything under
/News, /events and the translations.

Also, I was wondering why the knetbsd-gnu ports are still called
netbsd-i386 and netbsd-alpha (i.e. without the "k" prefix)?  Is this
for historical reasons?  dpkg-architecture lists both variants.

[1] http://www.gnu.org/gnu/gnu-linux-faq.html#bsd
[2] http://www.gnu.org/gnu/linux-and-gnu.html#gnubsd
[3] http://www.debian.org/ports/freebsd/bsd-libc-based

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i586)

Kernel: Linux 2.6.18-4-486
Locale: LANG=bg_BG.UTF-8, LC_CTYPE=bg_BG.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

[knetbsd.diff (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#419081; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 419081@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Yavor Doganov <yavor@gnu.org>, 419081@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#419081: www.debian.org: Terminology issue: GNU/NetBSD
Date: Fri, 13 Apr 2007 21:00:14 +0300
Hi,

Thanks for taking the time for this!

On Fri, 2007-04-13 at 18:42:45 +0300, Yavor Doganov wrote:
> Package: www.debian.org
> Severity: important
> Tags: patch

> [(X-Debbugs-)CCing the porters' list]
>·
> The Debian GNU/kNetBSD port is referred incorrectly as "GNU/NetBSD".
> I assume this mistake was not intentional and the pages just haven't
> been updated for a while.

No, the port is correctly referred, becuse it's based on the NetBSD libc
and BSD userland. So it's not like in the GNU/k*BSD ports which we
explicitely specify that we are using only the kernel from the *BSD and
not a more complete BSD system.

> By contrast, this is not the case with kfreebsd-gnu -- the GNU/kFreeBSD
> folks have been referring to the system with its proper name (also on
> wiki.d.o).  We (the GNU Webmasters) would be grateful if this issue
> is fixed, so that we can amend the last paragraph of [1] in a similar
> fashion like [2].

> Please consider applying the attached patch.

The GNU/kNetBSD has been in lethargy for some time now, we just
focused our energies in GNU/kFreeBSD, we might come back to it maybe
once GNU/kFreeBSD has been officially merged into Debian as a proper
port, and if there's developer interest. By then I'd agree to add the
new port on the webpages as knetbsd-gnu alongside knetbsd-gnu, or it
might make sense to consider the old port deprecated (with permission
from the GNU/NetBSD porters) and fix the webpages.

> Also, I was wondering why the knetbsd-gnu ports are still called
> netbsd-i386 and netbsd-alpha (i.e. without the "k" prefix)?  Is this
> for historical reasons?  dpkg-architecture lists both variants.

That's also related to it being a different port and having a
different GNU triplet.

thanks,
guillem



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#419081; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Yavor Doganov <yavor@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 419081@bugs.debian.org (full text, mbox):

From: Yavor Doganov <yavor@gnu.org>
To: 419081@bugs.debian.org, debian-bsd@lists.debian.org
Cc: Karl Berry <karl@gnu.org>, yavor@gnu.org
Subject: Re: Bug#419081: www.debian.org: Terminology issue: GNU/NetBSD
Date: Mon, 16 Apr 2007 01:57:46 +0300
tags 419081 - patch
thanks

On Fri, Apr 13, 2007 at 09:00:14PM +0300, Guillem Jover wrote:
> > The Debian GNU/kNetBSD port is referred incorrectly as "GNU/NetBSD".
>
> No, the port is correctly referred, becuse it's based on the NetBSD libc
> and BSD userland. So it's not like in the GNU/k*BSD ports which we
> explicitely specify that we are using only the kernel from the *BSD and
> not a more complete BSD system.

Oh, I didn't know this!  It appears that our (gnu.org) page contains
wrong information...

> The GNU/kNetBSD has been in lethargy for some time now, we just
> focused our energies in GNU/kFreeBSD, we might come back to it maybe
> once GNU/kFreeBSD has been officially merged into Debian as a proper
> port, and if there's developer interest. 

That's sad, but completely understandable (also sad that GNU/kFreeBSD
is facing so much apathy).  So, if I got it correctly, when the netbsd
effort is going to be resurrected you'll take the path of
GNU/kFreeBSD, right?

> By then I'd agree to add the new port on the webpages as knetbsd-gnu
> alongside knetbsd-gnu, or it might make sense to consider the old
> port deprecated (with permission from the GNU/NetBSD porters) and
> fix the webpages.

That's entirely up to you, but IMVHO it would be harsh to delete the
pages -- at least that's some kind of history.  Do you agree if I
rework my patch, mentioning knetbsd-i386 along netbsd-386 and
netbsd-alpha, with the added information that you provided on the main
netbsd page?  Provided on your input and corrections, we will then fix
our pages accordingly.

> > Also, I was wondering why the knetbsd-gnu ports are still called
> > netbsd-i386 [...]
> 
> That's also related to it being a different port and having a
> different GNU triplet.

It is clear now, many thanks for the explanation.



Tags removed: patch Request was from Yavor Doganov <yavor@gnu.org> to control@bugs.debian.org. (Sun, 15 Apr 2007 23:00:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#419081; Package www.debian.org. (Sat, 12 Feb 2011 18:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <david@tilapin.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sat, 12 Feb 2011 18:00:03 GMT) Full text and rfc822 format available.

Message #22 received at 419081@bugs.debian.org (full text, mbox):

From: David Prévot <david@tilapin.org>
To: 419081@bugs.debian.org, debian-bsd@lists.debian.org, Yavor Doganov <yavor@gnu.org>, Karl Berry <karl@gnu.org>, Guillem Jover <guillem@debian.org>
Subject: Terminology issue: GNU/NetBSD
Date: Sat, 12 Feb 2011 13:57:24 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

severity 419081 wishlist

Hi,

As Guillem already stated [1] that “GNU/NetBSD” was correctly used, and
since a recent note added to the Debian GNU/NetBSD homepage [2] states
that “this page is only for historical purposes”, is it safe to close
this bug or are there some issues that still need to get fixed?

1: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=419081#10
2: http://www.debian.org/ports/netbsd/

Regards

David

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJNVsoDAAoJELgqIXr9/gnyFv4QAK+QMVVDNf5WYbfHMyW2B/jR
RTiowodBVti5kh3ZHqL7Lw19mlnDv1Nv3Yu/Qk4/ZVAXaq0IqV7ALsU52GYDxHJW
97dK21G4yOz4Mz0VbF18AcRcK8yl2XZWOcdb1Mcn0BOImO1T2Ksfk4u4uHSYUtfX
4QGetHEt3awkGvHl7XeAIGJfemsSgcy2kpdJV3Ohhkoo+7XpI6NiydFuYiV+Ylkq
PaXQOWEIUXXNYqvixBWfu59zwTcN2fuqH3h0jPBBshDNZfDf6pIRgglhjqX0R8TH
txXjEvro7HB+6l/SYC3RZ8FBcpb/ZJnMtaz+oyPCUOS5f8pv19fp0921O+C+F9hm
e4e2dqx2lUegu1PDB+mQvIHClnn6eDJoZZSMfMP1sapnTGr7hIPswYsmQ6/uqhrG
1rogxKnBXE6MVWLu2odgBb34vZgDi3zAEAq5Pz5Jm7nLFQfhS5CF4LD1ZuVD5EKR
KVVbTl0OKt2ErEckup5nxRmPq+/aNDlZubQtoFONUmjaiCt/Rt4XTnnjWumfU29f
hzIlMa+f3hmSgYkS7WrgY3t/sP3EOgWizB0hQTtr2GYd89gBpQvBmSwYmasliZ77
DtkiqJoemn9UJExLxMhsd53OaB8h9x+dLshmqozYhYOyHdglNjXKGDA+n8HR9unO
vJrIaRH8XqyOEzv+qn5n
=UnK/
-----END PGP SIGNATURE-----




Severity set to 'wishlist' from 'important' Request was from David Prévot <david@tilapin.org> to control@bugs.debian.org. (Sat, 12 Feb 2011 18:00:09 GMT) Full text and rfc822 format available.

Reply sent to Yavor Doganov <yavor@gnu.org>:
You have taken responsibility. (Sun, 13 Feb 2011 10:27:07 GMT) Full text and rfc822 format available.

Notification sent to Yavor Doganov <yavor@gnu.org>:
Bug acknowledged by developer. (Sun, 13 Feb 2011 10:27:07 GMT) Full text and rfc822 format available.

Message #29 received at 419081-done@bugs.debian.org (full text, mbox):

From: Yavor Doganov <yavor@gnu.org>
To: David Prévot <david@tilapin.org>
Cc: 419081-done@bugs.debian.org, debian-bsd@lists.debian.org, Yavor Doganov <yavor@gnu.org>, Karl Berry <karl@gnu.org>, Guillem Jover <guillem@debian.org>
Subject: Re: Terminology issue: GNU/NetBSD
Date: Sun, 13 Feb 2011 11:30:20 +0200
David Prévot wrote:
> is it safe to close this bug

Yes, it is -- I'm doing it now.  Thanks.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 14 Mar 2011 07:40:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:07:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.